Get a matter stage information
curl --request GET \
--url https://api.smokeball.com/matters/{matterId}/stages \
--header 'Authorization: <api-key>' \
--header 'x-api-key: <api-key>'import requests
url = "https://api.smokeball.com/matters/{matterId}/stages"
headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};
fetch('https://api.smokeball.com/matters/{matterId}/stages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"versionId": "da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262",
"matter": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"stageSet": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"stage": {
"href": "<string>",
"relation": "<string>",
"method": "GET",
"self": {
"id": "<string>",
"href": "<string>",
"relation": "<string>",
"method": "GET"
},
"id": "45b94df1-1657-48b0-ae81-583b42ed52d6",
"versionId": "09d1f360-b810-4a63-acaa-5ed81a551f06",
"name": "Review contract",
"isDeleted": true,
"lastUpdated": 637847425252027400
},
"lastUpdated": 637847425252027400
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Stages
Get a matter stage information
Returns the specified matters stage information.
GET
/
matters
/
{matterId}
/
stages
Get a matter stage information
Path Parameters
Response
When request is successful. Returns a 'MatterStage' object.
Contains the current stage of the matter.
Show child attributes
Show child attributes
Version id of the record.
Example:
"da4e7fd1-5394-4ca9-b1c6-e18c4e2bf262"
Matter in which this mapping is associated to.
Show child attributes
Show child attributes
Current stage set of the matter.
Show child attributes
Show child attributes
Current stage of the matter.
Show child attributes
Show child attributes
Timestamp when the matter stage was last updated.
Example:
637847425252027400
āI